#pragma once

#include <wmconsole/version3/processors/user_sessions/protos/reports.pb.h>
#include <wmconsole/version3/processors/user_sessions/protos/user_sessions.pb.h>

namespace NWebmaster {
namespace NReports {

struct TLastQueriesRecord {
/*
    TLastQueriesRecord(const proto::queries2::QueryPositionGroupAggrInfo &src)
        : ClicksCount(src.clicks_count())
        , ShowsCount(src.shows_count())
        , ClicksPositionProduct(src.clicks_position_product())
        , ShowsPositionProduct(src.shows_position_product())
    {
    }

    void Serialize(proto::queries2::QueryPositionGroupAggrInfo &dst) {
        dst.set_clicks_count(ClicksCount);
        dst.set_shows_count(ShowsCount);
        dst.set_clicks_position_product(ClicksPositionProduct);
        dst.set_shows_position_product(ShowsPositionProduct);
    }
*/
public:
    size_t ClicksCount = 0;
    size_t ShowsCount = 0;
    size_t ClicksPositionProduct = 0;
    size_t ShowsPositionProduct = 0;
};

int TaskLastQueries(int, const char **);

} //namespace NReports
} //namespace NWebmaster
